body {
    font-family: sans-serif;
}
h1, h2, h3, h4, h5, h6, p{
	font-family: 'Jua', cursive !important;
}
footer {
	text-align: center;
}
.file-upload {
    margin: 0 auto;
	border-radius: 10px;
	border: solid 1.5px #f6f7fa;
	background-color: #f6f7fa;
	padding: 13% 3%;
}
.file-upload-btn {
    width: 100%;
    margin: 0;
    color: #fff;
    background: #1fb264;
    border: none;
    padding: 10px;
    border-radius: 4px;
    border-bottom: 4px solid #15824b;
    transition: all 0.2s ease;
    outline: none;
    text-transform: uppercase;
    font-weight: 700;
}
.file-upload-btn:hover {
    background: #1aa059;
    color: #fff;
    transition: all 0.2s ease;
    cursor: pointer;
}
.file-upload-btn:active {
    border: 0;
    transition: all 0.2s ease;
}
.file-upload-content {
    display: none;
    text-align: center;
}
.file-upload-input {
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    outline: none;
    opacity: 0;
    cursor: pointer;
}
.image-upload-wrap {
    position: relative;
	object-fit: contain;
	border-radius: 10px;
	border: dashed 1.5px #35465d;
	background-color: #ffffff;
	width: 55%;
	margin: 0 auto;
}
.image-upload-wrap:hover {
    background-color: #35465d;
    border: 4px dashed #fff;
}
.image-dropping {
    background-color: #1fb264;
    border: 4px dashed #fff;
}
.image-title-wrap {
    padding: 15px;
    color: #222;
}
.drag-text {
    text-align: center;
}
.drag-text h3 {
    font-weight: 100;
    text-transform: uppercase;
    color: #15824b;
    padding: 60px 0;
}
.file-upload-image {
    max-height: 60%;
    max-width: 60%;
    margin: auto;
    padding: 20px;
}
.remove-image {
    width: 200px;
    margin: 0;
    color: #fff;
    background: #cd4535;
    border: none;
    padding: 10px;
    border-radius: 4px;
    border-bottom: 4px solid #b02818;
    transition: all 0.2s ease;
    outline: none;
    text-transform: uppercase;
    font-weight: 700;
}
.remove-image:hover {
    background: #c13b2a;
    color: #fff;
    transition: all 0.2s ease;
    cursor: pointer;
}
.remove-image:active {
    border: 0;
    transition: all 0.2s ease;
}
.upload{
	width: 20%;
}
.upload-text{
	font-weight: 100;
	text-transform: uppercase;
	font-family: NanumSquareR;
	font-size: 2rem;
	line-height: 1.53;
	text-align: center;
	color: #35465d;
	width: 50%;
	margin: 0 auto;
}
.nav-distance{
	padding: 2.1% 7.7%;
}
.navbar-light .navbar-brand{
	font-family: NanumSquareR;
	line-height: 1.68;
	text-align: left;
	color: #35465d;
}
.navbar-light .navbar-toggler{
	border-color: #ffffff;
}
.section{
	margin-top: 50px;
}
.title{
	font-family: NanumSquareR;
	line-height: 1.67;
	text-align: center;
	color: #35465d;
}
.subtitle{
	font-family: NanumSquareR;
	line-height: 1.53;
	text-align: center;
	color: #35465d;
	padding: 0 3%;
}
@media screen and (max-width: 600px){
	html{
		font-size: 10px;
	}
	.navbar-brand{
		font-size: 2rem;
	}
}
.dev-tag{
	display: none;
}
.try-again-btn {
  border-radius: 40px;
  border: solid 1.5px #35465d;
  background-color: #35465d;
}

.try-again-text {
  display: block;
  font-size: 1.5rem;
  text-align: center;
  color: #ffffff;
  padding: 4px 15px;
}

label {
  cursor: pointer;
  display: inline-block;
  width: 90px;
  height: 41px;
  box-shadow: 0 0 0 8px #d3d3d3 inset;
  border-radius: 30px;
  position: relative;
}

.knob {
  position: absolute;
  width: 41px;
  top: 0;
  left: 0;
  height: 41px;
  border-radius: 50%;
  box-shadow: 0 0 0 8px #f470a7 inset;
  background-color: #fbd4e6;
  transition: 0.3s;
}

.knob > i {
  position: absolute;
  width: 4px;
  height: 18px;
  top: 100%;
  background-color: #f470a7;
  left: calc(50% - 2px);
}

.knob > i:before,
.knob > i:after {
  width: 6px;
  position: absolute;
  top: 42%;
  content: "";
  height: 4px;
  background-color: #f470a7;
}

.knob > i:before {
  left: 4px;
}
.knob > i:after {
  left: -6px;
}

input:checked + label > .knob {
  box-shadow: 0 0 0 8px #a1c6dd inset;
  background-color: #e2ecf4;
  transform: translateX(49px) rotate(-140deg);
}

input:checked + label > .knob > i {
  background-color: #a1c6dd;
}

input:checked + label > .knob > i:after,
input:checked + label > .knob > i:before {
  background-color: #a1c6dd;
}

input:checked + label > .knob > i:after {
  top: 14px;
  width: 12px;
  left: -7px;
  transform: rotate(45deg);
}
input:checked + label > .knob > i:before {
  top: 13px;
  width: 12px;
  left: 0px;
  transform: rotate(134deg);
}

input#gender {
	display: none;
}

h6 {
	font-size: .8em;
	padding: 0 0 .5em;
    color: #919191;
}
figure {
	margin: 0 auto;
	max-width: 800px;
	position: relative;
	width: 90%;
}
.row {
	margin-bottom: 1em;
	justify-content: center;
}
@keyframes expand {
	from {width: 0%;}
	to {width: 100%;}
}
@media screen and (min-width: 768px) {
	@keyframes expand {
		from {width: 0%;}
		to {width: calc(100% - 75px);}
	}
}
.chart {
	overflow: hidden;
	width: 0%;
	animation: expand 1.5s ease forwards;
}
.row + .row .chart {
	animation-delay: .2s;
}
.row + .row + .row .chart {
	animation-delay: .4s;
}
.block {
	display: block;
	height: 40px;
	color: #fff;
	font-size: .75em;
	float: left;
	background-color: #DF5A49;
	position: relative;
	overflow: hidden;
	opacity: 1;
	transition: opacity, .3s ease;
	cursor: pointer;
}
.block:nth-of-type(2),
.legend li:nth-of-type(2):before {
	background-color: #45B29D;
}
.block:nth-of-type(3),
.legend li:nth-of-type(3):before {
	background-color: #EFC94C;
}
.block:nth-of-type(4),
.legend li:nth-of-type(4):before {
	background-color: #E27A3F;
}
.block:nth-of-type(5),
.legend li:nth-of-type(5):before {
	background-color: #DF5A49;
}
.block:nth-of-type(6),
.legend li:nth-of-type(6):before {
	background-color: #962D3E;
}
.block:hover {
	opacity: .65;
}
.value {
	display: block;
	line-height: 1em;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%);
}
.legend {
    margin: 0 auto;
    padding: 0;
	font-size: .9em;
}
.legend li {
    display: inline-block;
    padding: .25em 1em;
    line-height: 1em;
}
.legend li:before {
    content: "";
    margin-right: .5em;
    display: inline-block;
    width: 8px;
    height: 8px;
	background-color: #334D5C;
}
@media screen and (min-width: 768px) {
	h6 {
		padding: 0;
		width: 75px;
		float: left;
		line-height: 100px;
	}
	.block {
		font-size: 1em;
	}
	.legend {
		width: 50%;
	}
}
.type{
  font-size:1.2em;
  position: absolute;
	top: 0px;
	left: 5px;
  font-weight: bold;
}

.bar-container {
  height: 2.7rem;
}
.A-box {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  width: 100%;
  background-color: rgba(117, 204, 84, 0.2);
}
.A-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  background-color: rgba(117, 204, 84, 1);
}
.B-box {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  width: 100%;
  background-color: rgba(27, 175, 234, 0.2);
}
.B-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  background-color: rgba(27, 175, 234, 1);
}
.O-box {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  width: 100%;
  background-color: rgba(235, 166, 190, 0.2);
}
.O-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  background-color: rgba(235, 166, 190, 1);
}
.AB-box {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  width: 100%;
  background-color: rgba(251, 176, 59, 0.2);
}
.AB-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 2rem;
  border-radius: 10px;
  background-color: rgba(251, 176, 59, 1);
}
.percent-text {
  font-size: 1rem;
  color: #ffffff;
}
.animal-label {
    width: 20%;
    text-align: left;
    height: 2rem;
}
#label-container {
    width: 80%;
    margin: 0 auto;
	font-family: 'Jua', sans-serif;
}
#label-container_m_blood {
    width: 80%;
    margin: 0 auto;
	font-family: 'Jua', sans-serif;
}
#label-container_f_blood {
    width: 80%;
    margin: 0 auto;
	font-family: 'Jua', sans-serif;
}
.result-message {
    font-size: 2rem;
}
.result-description {
	margin-top: 50px;
}
